=== debian/changelog ===
treemacs (2.8-2) unstable; urgency=medium

  * add Rules-Requires-Root=no

 -- Martin <debacle@debian.org>  Mon, 23 Aug 2021 20:23:26 +0000

treemacs (2.8-1) unstable; urgency=medium

  * Initial package (Closes: #990909)

 -- Martin <debacle@debian.org>  Sun, 08 Aug 2021 07:13:46 +0000
