=== debian/control ===
Source: treemacs
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/Alexander-Miller/treemacs
Vcs-Git: https://salsa.debian.org/emacsen-team/treemacs.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/treemacs

Package: elpa-treemacs
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
Recommends: emacs,
	python3,
Suggests: elpa-treemacs-evil,
	elpa-treemacs-magit,
	elpa-treemacs-projectile,
Enhances: emacs
Description: tree layout file explorer for Emacs
 Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
 but largely inspired by the Project Explorer in Eclipse. It shows the file
 system outlines of your projects in a simple tree layout allowing quick
 navigation and exploration, while also possessing basic file management
 utilities.

Package: elpa-treemacs-evil
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
	elpa-treemacs (= ${source:Version}),
	elpa-evil,
Description: tree layout file explorer for Emacs
 Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
 but largely inspired by the Project Explorer in Eclipse. It shows the file
 system outlines of your projects in a simple tree layout allowing quick
 navigation and exploration, while also possessing basic file management
 utilities.
 .
 This package enables support for evil.

Package: elpa-treemacs-magit
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
	elpa-treemacs (= ${source:Version}),
	elpa-magit,
Description: tree layout file explorer for Emacs
 Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
 but largely inspired by the Project Explorer in Eclipse. It shows the file
 system outlines of your projects in a simple tree layout allowing quick
 navigation and exploration, while also possessing basic file management
 utilities.
 .
 This package enables support for magit.

Package: elpa-treemacs-projectile
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
	elpa-treemacs (= ${source:Version}),
	elpa-projectile,
Description: tree layout file explorer for Emacs
 Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
 but largely inspired by the Project Explorer in Eclipse. It shows the file
 system outlines of your projects in a simple tree layout allowing quick
 navigation and exploration, while also possessing basic file management
 utilities.
 .
 This package enables support for projectile.
