=== debian/changelog ===
treemacs (3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:25:23 +0900

treemacs (3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update patches with new version and mark forwarded as not-needed
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Update standards version to 4.7.0; no changes needed
  * Update description of extensions to clarify which supports are added
  * Update debian copyright year in d/copyright
  * Add lintian-overrides for elpa-treemacs
  * Add d/salsa-ci.yml with default settings
  * Disable pristine-tar by default in d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 31 May 2024 02:01:29 -0700
