## treemacs 3.2

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 TEST_COMMAND     = buttercup -L $(SRC_DIR) -L $(EXTRA_DIR) -L . $(NO_LOAD_WARNINGS)
 
 ELS  = $(SRC_DIR)/treemacs.el
+ELS += $(SRC_DIR)/treemacs-annotations.el
 ELS += $(SRC_DIR)/treemacs-async.el
 ELS += $(SRC_DIR)/treemacs-bookmarks.el
 ELS += $(SRC_DIR)/treemacs-compatibility.el
@@ -24,9 +25,11 @@
 ELS += $(SRC_DIR)/treemacs-dom.el
 ELS += $(SRC_DIR)/treemacs-extensions.el
 ELS += $(SRC_DIR)/treemacs-faces.el
+ELS += $(SRC_DIR)/treemacs-file-management.el
 ELS += $(SRC_DIR)/treemacs-filewatch-mode.el
 ELS += $(SRC_DIR)/treemacs-follow-mode.el
 ELS += $(SRC_DIR)/treemacs-fringe-indicator.el
+ELS += $(SRC_DIR)/treemacs-git-commit-diff-mode.el
 ELS += $(SRC_DIR)/treemacs-header-line.el
 ELS += $(SRC_DIR)/treemacs-hydras.el
 ELS += $(SRC_DIR)/treemacs-icons.el
@@ -36,12 +39,14 @@
 ELS += $(SRC_DIR)/treemacs-mode.el
 ELS += $(SRC_DIR)/treemacs-mouse-interface.el
 ELS += $(SRC_DIR)/treemacs-persistence.el
+ELS += $(SRC_DIR)/treemacs-project-follow-mode.el
 ELS += $(SRC_DIR)/treemacs-rendering.el
 ELS += $(SRC_DIR)/treemacs-scope.el
 ELS += $(SRC_DIR)/treemacs-tag-follow-mode.el
 ELS += $(SRC_DIR)/treemacs-tags.el
 ELS += $(SRC_DIR)/treemacs-themes.el
 ELS += $(SRC_DIR)/treemacs-visuals.el
+ELS += $(SRC_DIR)/treemacs-treelib.el
 ELS += $(SRC_DIR)/treemacs-workspaces.el
 ELS += $(EXTRA_DIR)/treemacs-all-the-icons.el
 ELS += $(EXTRA_DIR)/treemacs-evil.el
