=== debian/changelog ===
treemacs (3.2-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Fri, 04 Apr 2025 20:09:26 +0000
