=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	dh-elpa,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Alexander-Miller/treemacs
 Vcs-Git: https://salsa.debian.org/emacsen-team/treemacs.git
@@ -34,7 +34,7 @@
 	${misc:Depends},
 	elpa-treemacs (= ${source:Version}),
 	elpa-evil,
-Description: tree layout file explorer for Emacs
+Description: tree layout file explorer for Emacs - evil support
  Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
  but largely inspired by the Project Explorer in Eclipse. It shows the file
  system outlines of your projects in a simple tree layout allowing quick
@@ -49,7 +49,7 @@
 	${misc:Depends},
 	elpa-treemacs (= ${source:Version}),
 	elpa-magit,
-Description: tree layout file explorer for Emacs
+Description: tree layout file explorer for Emacs - magit support
  Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
  but largely inspired by the Project Explorer in Eclipse. It shows the file
  system outlines of your projects in a simple tree layout allowing quick
@@ -64,7 +64,7 @@
 	${misc:Depends},
 	elpa-treemacs (= ${source:Version}),
 	elpa-projectile,
-Description: tree layout file explorer for Emacs
+Description: tree layout file explorer for Emacs - projectile support
  Treemacs is a file and project explorer similar to NeoTree or vim’s NerdTree,
  but largely inspired by the Project Explorer in Eclipse. It shows the file
  system outlines of your projects in a simple tree layout allowing quick
